Bug 1150145 - (reland) Upload fxos simulator r=garndt
authorjlal@mozilla.com
Wed, 01 Apr 2015 16:08:42 -0700
changeset 237222 4a0feedb97b43e356c4558540394ca447fa7292d
parent 237221 092f19185fdb611a37d1f3a44ddb4e9b4f7ff02a
child 237223 fccaf1fd069c38e10aa9eb411ed839dde0c731fb
push id57898
push usercbook@mozilla.com
push dateThu, 02 Apr 2015 12:14:17 +0000
treeherdermozilla-inbound@63c87250946e [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersgarndt
bugs1150145
milestone40.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1150145 - (reland) Upload fxos simulator r=garndt
testing/taskcluster/scripts/builder/build-b2g-desktop.sh
--- a/testing/taskcluster/scripts/builder/build-b2g-desktop.sh
+++ b/testing/taskcluster/scripts/builder/build-b2g-desktop.sh
@@ -33,11 +33,14 @@ rm -f target.linux-x86_64.tar.bz2 target
 mkdir -p $HOME/artifacts/
 
 # Discard version numbers from packaged files, they just make it hard to write
 # the right filename in the task payload where artifacts are declared
 mv *.linux-x86_64.tar.bz2   $HOME/artifacts/target.linux-x86_64.tar.bz2
 mv *.linux-x86_64.json      $HOME/artifacts/target.linux-x86_64.json
 mv *.tests.zip              $HOME/artifacts/target.tests.zip
 
+# If the simulator does not exist don't fail
+mv fxos-simulator*          $HOME/artifacts/fxos-simulator.xpi || :
+
 ccache -s
 
 ################################### build.sh ###################################